local meditation = Talents:getTalentFromId(Talents.T_MEDITATION)
meditation.activate = function(self, t)
	local ret = {}

	local pt = 2 + self:combatTalentMindDamage(t, 20, 120) / 10
	local save = 5 + self:combatTalentMindDamage(t, 10, 40)
	local heal = 5 + self:combatTalentMindDamage(t, 12, 30)

	if self:knowTalent(self.T_EARTH_S_EYES) then
		local te = self:getTalentFromId(self.T_EARTH_S_EYES)
		self:talentTemporaryValue(ret, "esp_eyes_range", te.radius_esp(self, te))
	end

	game:playSoundNear(self, "talents/heal")
	self:talentTemporaryValue(ret, "equilibrium_regen", -pt)
	self:talentTemporaryValue(ret, "combat_mentalresist", save)
	self:talentTemporaryValue(ret, "healing_factor", heal / 100)
	self:talentTemporaryValue(ret, "numbed", 50)
	return ret
end