local _M = loadPrevious(...)

local oldPlayerFOV = _M.playerFOV
function _M:playerFOV()
	local retval = oldPlayerFOV(self)
	
	-- Compute Meditation ESP FOV separately, using cache
	if (self.esp_eyes_range and self.esp_eyes_range > 0) then
		local esp_all = self.esp_all
		self.esp_all = 1
		self:computeFOV(self.esp_eyes_range, "block_esp", function(x, y) game.level.map:applyESP(x, y, 0.6) end, true, true, true)
		self.esp_all = esp_all
	end
	
	return retval
end

return _M